import 'package:ernaehrung/android/components/circular/circular_component.dart';
import 'package:ernaehrung/android/components/circular/line_circular_with_text_component.dart';
import 'package:ernaehrung/android/config/statistics.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class StatisticsPercentage extends StatelessWidget {
  final double heightStatisticsContainer = 220.0;
  final double widthStatisticsContainer = double.infinity;

  const StatisticsPercentage({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    StatisticsService statisticsService = StatisticsService();
    return Container(
      decoration:
          BoxDecoration(border: Border.all(width: 2.0, color: Colors.black)),
      height: heightStatisticsContainer,
      padding: const EdgeInsets.symmetric(vertical: 16, horizontal: 0),
      child: Row(
        mainAxisAlignment: MainAxisAlignment.spaceBetween,
        children: [
          Expanded(
            child: SizedBox(
              child: Padding(
                padding: const EdgeInsets.symmetric(vertical: 0, horizontal: 8),
                child: FittedBox(
                  child: CircularLoadingComponent(statisticsService.getAllEatenCaloriesForTodayStatistics()),
                ),
              ),
            ),
          ),
          Expanded(
            child: Column(
              mainAxisAlignment: MainAxisAlignment.spaceEvenly,
              children: [
                LineCircularWiTextComponent(
                    Colors.green.shade400, 1.0, 1000, 2000, "Konsumiert"),
                LineCircularWiTextComponent(
                    Colors.green.shade400, 1.0, 1000, 2000, "Konsumiert"),
                LineCircularWiTextComponent(
                    Colors.green.shade400, 1.0, 1000, 2000, "Konsumiert"),
              ],
            ),
          )
        ],
      ),
    );
  }
}
